Package ghidra.trace.database.symbol

# Class AbstractDBTraceSymbolSingleTypeView<T extends AbstractDBTraceSymbol>

java.lang.Object
ghidra.trace.database.symbol.AbstractDBTraceSymbolSingleTypeView<T>

Direct Known Subclasses:
  `AbstractDBTraceSymbolSingleTypeWithAddressView`, `AbstractDBTraceSymbolSingleTypeWithLocationView`, `DBTraceClassSymbolView`, `DBTraceNamespaceSymbolView`

public abstract class AbstractDBTraceSymbolSingleTypeView<T extends AbstractDBTraceSymbol> extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final DBTraceSymbolManager`
  `manager`
  `protected final DBCachedObjectStore<T>`
  `store`
  `protected final DBCachedObjectIndex<String,T>`
  `symbolsByName`
  `protected final DBCachedObjectIndex<Long,T>`
  `symbolsByParentID`
  `protected final byte`
  `typeID`
  `protected final Collection<T>`
  `view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDBTraceSymbolSingleTypeView(DBTraceSymbolManager manager, byte typeID, DBCachedObjectStore<T> store)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Collection<T>`
  `constructView()`
  `Collection<? extends T>`
  `getAll(boolean includeDynamicSymbols)`
  `T`
  `getByKey(long key)`
  `Collection<? extends T>`
  `getChildren(TraceNamespaceSymbol parent)`
  `Collection<? extends T>`
  `getChildrenNamed(String name, TraceNamespaceSymbol parent)`
  `DBTraceSymbolManager`
  `getManager()`
  `Collection<? extends T>`
  `getNamed(String name)`
  `Collection<? extends T>`
  `getWithMatchingName(String glob, boolean caseSensitive)`
  `void`
  `invalidateCache()`
  `Iterator<? extends T>`
  `scanByName(String startName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### manager

    protected final DBTraceSymbolManager manager

  - ### typeID

    protected final byte typeID

  - ### store

    protected final DBCachedObjectStore<T extends AbstractDBTraceSymbol> store

  - ### view

    protected final Collection<T extends AbstractDBTraceSymbol> view

  - ### symbolsByParentID

    protected final DBCachedObjectIndex<Long,T extends AbstractDBTraceSymbol> symbolsByParentID

  - ### symbolsByName

    protected final DBCachedObjectIndex<String,T extends AbstractDBTraceSymbol> symbolsByName

- ## Constructor Details

  - ### AbstractDBTraceSymbolSingleTypeView

    public AbstractDBTraceSymbolSingleTypeView(DBTraceSymbolManager manager, byte typeID, DBCachedObjectStore<T> store)

- ## Method Details

  - ### constructView

    protected Collection<T> constructView()

  - ### getManager

    public DBTraceSymbolManager getManager()

  - ### getAll

    public Collection<? extends T> getAll(boolean includeDynamicSymbols)

  - ### getChildrenNamed

    public Collection<? extends T> getChildrenNamed(String name, TraceNamespaceSymbol parent)

  - ### getChildren

    public Collection<? extends T> getChildren(TraceNamespaceSymbol parent)

  - ### getNamed

    public Collection<? extends T> getNamed(String name)

  - ### getWithMatchingName

    public Collection<? extends T> getWithMatchingName(String glob, boolean caseSensitive)

  - ### scanByName

    public Iterator<? extends T> scanByName(String startName)

  - ### getByKey

    public T getByKey(long key)

  - ### invalidateCache

    public void invalidateCache()